﻿using System.Drawing;

namespace TestProject
{
    /// <summary>
    /// 메시지
    /// </summary>
    public class Message
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 이미지 - Image

        /// <summary>
        /// 이미지
        /// </summary>
        public Image Image { get; set; }

        #endregion
        #region 제목 - Caption

        /// <summary>
        /// 제목
        /// </summary>
        public string Caption { get; set; }

        #endregion
        #region 내용 - Content

        /// <summary>
        /// 내용
        /// </summary>
        public string Content { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Message()

        /// <summary>
        /// 생성자
        /// </summary>
        public Message()
        {
            Image   = global::TestProject.Properties.Resources.opportunities_32x32;
            Caption = "LILA-Supermercado";
            Content = "Carrera 52 con Ave. Bolívar #65-98 Llano Largo";
        }

        #endregion
    }
}